Package: org.codehaus.groovy.syntax

## [Java] Class ReadException

- org.codehaus.groovy.syntax.ReadException

-     public class ReadException
      extends GroovyException

  Encapsulates non-specific i/o exceptions.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ReadException(IOException cause)`
    `ReadException(String message, IOException cause)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public IOException` | `getIOCause()`
    `` | `public String` | `getMessage()`
    `` | `public String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyException` | `isFatal, setFatal`

- - ### Constructor Detail

    - #### public ReadException(IOException cause)

    - #### public ReadException(String message, IOException cause)

  - ### Method Detail

    - #### public IOException getIOCause()

    - #### @Override
      public String getMessage()

    - #### @Override
      public String toString()